### Name: propertySet
### Title: Ask a query for a set of variables
### Aliases: propertySet
### Keywords: methods multivariate

### ** Examples

library(CoCo);

data(Fuchs82);

CoCoObject <- makeCoCo();
enterTable(Fuchs82, object = CoCoObject);

enterModel("mdp,da,am,dg,gs,sa", object = CoCoObject);

propertySet("in.one.clique", set = "d,m.", object = CoCoObject);

propertySet(query = "separator", set = "ds.",  object = CoCoObject);
propertySet(query = "separator", set = "a.",   object = CoCoObject);
propertySet(query = "separator", set = "ag.",  object = CoCoObject);
propertySet(query = "separator", set = "adm.", object = CoCoObject);
propertySet(query = "separator", set = "am.",  object = CoCoObject);
propertySet(query = "separator", set = "dm.",  object = CoCoObject);

returnSets(model = FALSE, type = "is.separator", set = "dm.",
           object = CoCoObject); 

propertySet(query = "separator", set = "d.", 
            set.a = "dpm", set.b = "gsa", object = CoCoObject);
propertySet(query = "separator", set = "da.",
            set.a = "dpm", set.b = "gs",  object = CoCoObject);
propertySet(query = "separator", set = "da.",
            set.a = "dpm", set.b = "gsa", object = CoCoObject);
propertySet(query = "separator", set = "dm.",
            set.a = "dpm", set.b = "gsa", object = CoCoObject);
propertySet(query = "separator", set = "ds.", set.a = "dpm", set.b = "ga");

enterModel("gasd,adm,dpm.;", object = CoCoObject);

propertySet("in.one.clique", set = "d,s.", object = CoCoObject);
propertySet("in.one.clique", set = "d,m.", object = CoCoObject);
propertySet("in.one.clique", set = "s,p.", object = CoCoObject);

endCoCo(CoCoObject);



